<?php

	/*
	 * Verzeichnisse und Dateien die beim schreddern ignoriert werden
	 */
	$arExclude = array(
		"mod_keygen", "wpsg_mod_keygen.class.php",
		"mod_addressvalidation", "wpsg_mod_addressvalidation.class.php",
		"mod_targo", "wpsg_mod_targo.class.php",
		"mod_creditcard", "wpsg_mod_creditcard.class.php",
		"mod_paypalapi", "wpsg_mod_paypalapi.class.php",
		"mod_amazon", "wpsg_mod_amazon.class.php", "wpsg_mod_amazon",	
		"mod_productfilter", "wpsg_mod_productfilter.class.php", "wpsg_mod_productfilter",
		"mod_securepay", "wpsg_mod_securepay.class.php", "wpsg_mod_securepay",
		'mod_icp', 'wpsg_mod_icp.class.php', 'wpsg_mod_icp',
		'mod_packagetracking', 'wpsg_mod_packagetracking.class.php',
		"mod_flexipay", "wpsg_mod_flexipay.class.php", "wpsg_mod_flexipay",
		"mod_minrequest", "wpsg_mod_minrequest.class.php", "wpsg_mod_minrequest",
		"mod_wirecard", "wpsg_mod_wirecard.class.php", "wpsg_mod_wirecard",
		"mod_minquantity", "wpsg_mod_quantity.class.php", "wpsg_mod_quantity",
		"mod_crefopay", "wpsg_mod_crefopay.class.php", "wpsg_mod_crefopay",
		"mod_request", "wpsg_mod_request.class.php", "wpsg_mod_request",
		"mod_funding", "wpsg_mod_funding.class.php", "wpsg_mod_funding",
		"user_views", "bildertest.phtml",
		"user_mods",
		"mod_si", "wpsg_mod_si.class.php", "wpsg_mod_si",
		"mod_customernr", "mod_customernr.class.php",
		"translation.php",
		"mod_pap", "wpsg_mod_pap.class.php",
		"mod_productpackage", "wpsg_mod_productpackage.class.php", "wpsg_mod_productpackage",
		"mod_spconditions", "wpsg_mod_spconditions.class.php", "wpsg_mod_spconditions",
		"mod_customermap", "wpsg_mod_customermap.class.php",
		"mod_piwik", "wpsg_mod_piwik.class.php",
		"mod_produktartikel", "wpsg_mod_produktartikel.class.php",
		"mod_cab", "wpsg_mod_cab.class.php",
		"mod_voucherproduct", "wpsg_mod_voucherproduct.class.php",
		"mod_klarna", "wpsg_mod_klarna.class.php",
		"mod_si", "wpsg_mod_si.class.php", "wpsg_mod_si",
		"mod_test", "wpsg_mod_test.class.php",
		"mod_haendlerbund", "wpsg_mod_haendlerbund.class.php",
		"mod_shs", "wpsg_mod_shs.class.php",
		"mod_deliverynote", "wpsg_mod_deliverynote.class.php",
		"mod_abo", "wpsg_mod_abo.class.php",
		"mod_onepagecheckout", "wpsg_mod_onepagecheckout.class.php",
		"mod_bankalignment", "wpsg_mod_bankalignment.class.php",
		"system", "system/",
		"standard_login.phtml", "standard2.phtml", "standard_1544.phtml", "produktseite.phtml", "standard_ajax.phtml",
		"mod_basketteaser", "wpsg_mod_basketteaser.class.php",
		"mod_warenkorbteaser", "wpsg_mod_warenkorbteaser.class.php",
		"mod_billsafe", "wpsg_mod_billsafe.class.php",
		"mod_skrill", "wpsg_mod_skrill.class.php",
		"mod_videodownload", "wpsg_mod_videodownload.class.php",
		"mod_pdfdownload", "wpsg_mod_pdfdownload.class.php",
		"mod_downloadplus", "wpsg_mod_downloadplus.class.php",
		"mod_orderupload", "wpsg_mod_orderupload.class.php",
		"mod_customerbudget", "wpsg_mod_customerbudget.class.php",
		"mod_statistics", "wpsg_mod_statistics.class.php",
		'mod_customergroup', 'wpsg_mod_customergroup.class.php', 'wpsg_mod_customergroup',
		"mod_rechnungen", "wpsg_mod_rechnungen.class.php",
		"key.txt"
	);
	
	/* 
	 * Dateien der Module automatisch ausschließen für das Gesamtpaket
	 */
	foreach ($arModule as $m)
	{
	
		foreach ((array)$m['files'] as $f)
		{
				
			$arExclude[] = $f;
				
		}
	
	}
	
	/**
	 * Dateien die nur in der Free Version nicht drin sein sollen
	 */
	$arExclude_free = array(
		'wpsg_mod_core.class.php', 'mod_core',
		'cron.php'
	);
			
	/*
	 * Dateien und Verzeichnisse dir nicht angefasst werden sollen 
	 * und direkt kopiert werden müssen
	 */
	$arExclude_copy = array(
		"phpseclib0.3.0",
		"fpdf",
		"PayPal",
		"install.php"
	);

?>